Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class CallbackReceiver

    java.lang.Object
      org.apache.axis2.util.CallbackReceiver

All Implemented Interfaces:
  MessageReceiver

    public class CallbackReceiver

extends java.lang.Object
implements MessageReceiver

This is a MessageReceiver which is used on the client side to accept the messages (response) that come to the client. This correlates the incoming message to the related messages and makes a call to the appropriate callback.

Field Summary
`static java.lang.String` | `SERVICE_NAME`

Constructor Summary
`CallbackReceiver()`

Method Summary
`void` | `addCallback(java.lang.String msgID, AxisCallback callback)`
`void` | `addCallback(java.lang.String msgID, Callback callback)`
`java.util.Map` | `getCallbackStore()`
`java.lang.Object` | `lookupCallback(java.lang.String msgID)`
`void` | `receive(MessageContext msgContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERVICE_NAME

    public static java.lang.String SERVICE_NAME

Constructor Detail

### CallbackReceiver

    public CallbackReceiver()

Method Detail

### addCallback

    public void addCallback(java.lang.String msgID,
                            Callback callback)
                     throws AxisFault

  Throws:
    `AxisFault`

### addCallback

    public void addCallback(java.lang.String msgID,
                            AxisCallback callback)
                     throws AxisFault

  Throws:
    `AxisFault`

### lookupCallback

    public java.lang.Object lookupCallback(java.lang.String msgID)

### receive

    public void receive(MessageContext msgContext)
                 throws AxisFault

  Specified by:
    `receive` in interface `MessageReceiver`
  Throws:
    `AxisFault`

### getCallbackStore

    public java.util.Map getCallbackStore()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.